_ENCRYPT_=0    --LUA脚本加密

--数据类型定义
VT_LW = 1    --变量地址
VT_RW = 2    --FLASH存储
VT_0x = 10    --线圈
VT_1x = 11    --输入点
VT_3x = 12    --输入寄存器
VT_4x = 13    --保持寄存器

_EN_ON_UPDATA_API_  = 1

function on_init()
    _EN_ON_UPDATA_API_ = 0
    
    dofile('std.lua')
    std.init()

    _EN_ON_UPDATA_API_ = 1
end

--触摸回调
function on_press(state,x,y)
    _EN_ON_UPDATA_API_ = 0

    dofile('std.lua')
    if state == 0
    then
        std.init()
    end

    _EN_ON_UPDATA_API_ = 1  
end

--修改变量
function on_update(slave,vtype,addr)
    if _EN_ON_UPDATA_API_ == 0
    then
        return  
    end

    std.set(slave,vtype,addr)
end

--定时器回调
function on_timer(timer_id)
   std.notify(timer_id)
end